> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jsonify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a single row from a workflow run, by run ID and row id

> When an agent task runs, it creates a set of results. These results contain the findings from the agent, as well as metadata about the run. This endpoint returns a single row.



## OpenAPI

````yaml https://app.jsonify.com/static/openapi.yaml get /api/v2/results/{run_id}/{result_id}
openapi: 3.0.0
info:
  title: Jsonify Platform API
  version: 2.0.0
  description: The Jsonify platform API lets you create and manage agent and data tasks.
servers:
  - url: https://api.jsonify.com
    description: Production server
security: []
paths:
  /api/v2/results/{run_id}/{result_id}:
    get:
      summary: Retrieve a single row from a workflow run, by run ID and row id
      description: >-
        When an agent task runs, it creates a set of results. These results
        contain the findings from the agent, as well as metadata about the run.
        This endpoint returns a single row.
      parameters:
        - name: run_id
          in: path
          required: true
          description: The GUID of the workflow run
          schema:
            type: string
        - name: result_id
          in: path
          required: true
          description: The GUID of the workflow row
          schema:
            type: string
      responses:
        '200':
          description: A task result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResultResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    ResultResponse:
      type: object
      properties:
        message:
          type: string
        result:
          $ref: '#/components/schemas/Result'
        success:
          type: boolean
    Result:
      type: object
      properties:
        changed:
          type: boolean
        credits:
          $ref: '#/components/schemas/Credits'
        details:
          $ref: '#/components/schemas/Details'
        json:
          $ref: '#/components/schemas/JsonData'
        screenshots:
          type: array
          items:
            type: string
            format: uri
        when:
          type: integer
          format: int64
        done:
          type: boolean
          description: whether the result has finished processing or not. poll until true.
        id:
          type: string
    Credits:
      type: object
      properties:
        remaining:
          type: integer
        used:
          type: integer
    Details:
      type: object
      properties:
        descr:
          type: string
    JsonData:
      type: object
      properties:
        data:
          type: boolean
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````